{
  pkgs, lib, fetchFromGitHub
, python3Packages, python3
, gtk3, gobject-introspection, git, gnome
, wrapGAppsHook, makeDesktopItem
}:

python3Packages.buildPythonApplication rec {
  pname = "trackma";
  version = "0.8.4";

  buildInputs = [ gobject-introspection gtk3 gnome.adwaita-icon-theme ];

  nativeBuildInputs = [ wrapGAppsHook ];

  propagatedBuildInputs = with python3.pkgs; [ setuptools pygobject3 pycairo pillow ];

 #src = fetchFromGitHub {
 #  owner = "z411";
 #  repo = pname;
 #  rev = "v${version}";
 #  sha256 = "1ir00sgjxd057nhdha6isx0a94q7qagcpadxzi880ngqh3s3gdvn";
  #};
  src = builtins.fetchGit {
    url = "https://github.com/z411/trackma.git";
    rev = "cade2028be3e4cbb7e466910c7452b7629b4d418";
  };

  doCheck = false;
  strictDeps = false;

  postInstall = ''
    mkdir -p $out/share/icons/hicolor/96x96/apps/
    cp -r ${desktopItem}/share/applications $out/share/
    cp trackma/data/icon.png $out/share/icons/hicolor/96x96/apps/trackma.png
  '';
  
  desktopItem = makeDesktopItem {
    name = "Trackma";
    exec = "trackma-gtk";
    icon = "trackma";
    desktopName = "Trackma";
    genericName = "Trackma";
  };
  
  meta = with lib; {
    homepage = "https://github.com/z411/trackma";
    description = "Open multi-site list manager for Unix-like systems.";
    license = licenses.gpl3;
    maintainers = [ ];
    platforms = lib.platforms.linux;
  };
}
